// #autoload
// #name = NavOptions
// #version = 1.5
// #date = 19 December, 2003
// #author = ilys
// #readme = scripts/Autoexec/NavOptions.txt
// #description = A GUI for the hidden NavHud options.
// #category = ilys' Scripts
// #status = release
// #config = NavOptionsGui
// #include = support/PJFontSelector.cs
// #include = support/PJColorSelector.cs

package NavOptions
{
	function PlayGui::onWake(%this) {

		parent::onWake(%this);
		DamageHudY.setVisible(0);
	}

	function PlayGui::onSleep(%this) {

		parent::onSleep(%this);
		DamageHudY.setVisible(1);
	}

	function NavOptionsSave() {

		export("$NavOptions::*", "prefs/NavOptions.cs", false);
	}

	function NavOptionsGui::onWake(%this) {

		DamageHudY.setVisible(1);
		TargetBeaconBeginOpacitySlider.setValue($NavOptions::enemyBeaconLineBeginOpaque);
		TargetBeaconEndOpacitySlider.setValue($NavOptions::enemyBeaconLineEndOpaque);
		VTargetBeaconBeginOpacitySlider.setValue($NavOptions::vehicleBeaconLineBeginOpaque);
		VTargetBeaconEndOpacitySlider.setValue($NavOptions::vehicleBeaconLineEndOpaque);
		MarkerBeaconBeginOpacitySlider.setValue($NavOptions::friendBeaconLineBeginOpaque);
		MarkerBeaconEndOpacitySlider.setValue($NavOptions::friendBeaconLineEndOpaque);
		BeaconLineSlider.setValue($NavOptions::beaconLineWidth);
		NavHudOpacitySlider.setValue($NavOptions::NavHudOpacity);
		ReticleOpacitySlider.setValue($NavOptions::ReticleOpacity);
		DamageHudFrameOpacitySlider.setValue($NavOptions::DamageHudFrameOpaque);
		BaseMarker.setSelected($NavOptions::BaseMarker);
		PTasksMarker.setSelected($NavOptions::PTasksMarker);
		ATasksMarker.setSelected($NavOptions::ATasksMarker);
		WPMarker.setSelected($NavOptions::WPMarker);
		BeaconMarker.setSelected($NavOptions::BeaconMarker);
		MarkerDistance.setValue($NavOptions::MarkerDistance);
		MarkerRadius.setValue($NavOptions::MarkerRadius);
		InfoHudX.setValue($NavOptions::InfoHudXPosition);
		InfoHudY.setValue($NavOptions::InfoHudYPosition);
		DamageHudX.setValue($NavOptions::DamageHudXExtent);
		DamageHudY.setValue($NavOptions::DamageHudYExtent);
		DamageHudRadius.setValue($NavOptions::DamageHudRadius);
		RenderMarkerImages.setValue($NavOptions::renderEdgeMarkerImage);
		RenderMarkerTexts.setValue($NavOptions::renderEdgeMarkerText);
		AlternateMarkers.setValue($NavOptions::renderAlternateMarkerMethod);
		NavOptionsCreateProfile();
	}

	function NavOptionsGui::onSleep(%this) {

		DamageHudY.setVisible(0);
	}

	function UpdateTargetBeaconBeginOpacity() {

		$NavOptions::enemyBeaconLineBeginOpaque = (%value = TargetBeaconBeginOpacitySlider.getValue());
		TargetBeaconBeginOpacityText.setValue(mFormatFloat(%value * 100, "%.f") @ "%");
	}

	function UpdateTargetBeaconEndOpacity() {

		$NavOptions::enemyBeaconLineEndOpaque = (%value = TargetBeaconEndOpacitySlider.getValue());
		TargetBeaconEndOpacityText.setValue(mFormatFloat(%value * 100, "%.f") @ "%");
	}

	function UpdateVTargetBeaconBeginOpacity() {

		$NavOptions::vehicleBeaconLineBeginOpaque = (%value = VTargetBeaconBeginOpacitySlider.getValue());
		VTargetBeaconBeginOpacityText.setValue(mFormatFloat(%value * 100, "%.f") @ "%");
	}

	function UpdateVTargetBeaconEndOpacity() {

		$NavOptions::vehicleBeaconLineEndOpaque = (%value = VTargetBeaconEndOpacitySlider.getValue());
		VTargetBeaconEndOpacityText.setValue(mFormatFloat(%value * 100, "%.f") @ "%");
	}

	function UpdateMarkerBeaconBeginOpacity() {

		$NavOptions::friendBeaconLineBeginOpaque = (%value = MarkerBeaconBeginOpacitySlider.getValue());
		MarkerBeaconBeginOpacityText.setValue(mFormatFloat(%value * 100, "%.f") @ "%");
	}

	function UpdateMarkerBeaconEndOpacity() {

		$NavOptions::friendBeaconLineEndOpaque = (%value = MarkerBeaconEndOpacitySlider.getValue());
		MarkerBeaconEndOpacityText.setValue(mFormatFloat(%value * 100, "%.f") @ "%");
	}

	function UpdateBeaconLine() {

		$NavOptions::beaconLineWidth = (%value = mFormatFloat(BeaconLineSlider.getValue(), "%.1f"));
		BeaconLineText.setValue(%value);
	}

	function UpdateNavHudOpacity() {

		$NavOptions::NavHudOpacity = (%value = mFormatFloat(NavHudOpacitySlider.getValue(), "%.1f"));
		NavHudOpacityText.setValue(%value);
	}

	function UpdateReticleOpacity() {

		$NavOptions::ReticleOpacity = (%value = mFormatFloat(ReticleOpacitySlider.getValue(), "%.1f"));
		ReticleOpacityText.setValue(%value);
	}

	function UpdateMarkerScale() {

		$NavOptions::MarkerScale = (%value = mFormatFloat(MarkerScaleSlider.getValue(), "%.1f"));
		MarkerScaleText.setValue(%value);
	}

	function UpdateDamageHudFrameOpacity() {

		$NavOptions::DamageHudFrameOpaque = (%value = DamageHudFrameOpacitySlider.getValue());
		DamageHudFrameOpacityText.setValue(mFormatFloat(%value * 100, "%.f") @ "%");
	}

//	Had to "borrow" this function from PJs Support script.
	function expandedcolors(%color) {

		%temp = HexToDecimal(getSubStr(%color, 0, 2)) @ " " @ HexToDecimal(getSubStr(%color, 2, 2)) @ " " @ HexToDecimal(getSubStr(%color, 4, 2));
		return %temp;
	}

//	Had to "borrow" this function from PJs Color Support script to prevent console spam.
	function HexToDecimal(%hex) {

	    %hex = strupr(%hex);
	    %number = StrStr("0123456789ABCDEF", getSubStr(%hex, 0, 1)) * 16;
	    %number = %number + StrStr("0123456789ABCDEF", getSubStr(%hex, 1, 1));
	    return %number;
	}
//	End of "borrowing"

	function NavOptionsCreateProfile() {

		if (isObject(navhud)) navhud.profile = "GuiHudNavProfile";
		if (isObject(GuiHudNewNavProfile)) GuiHudNewNavProfile.delete();
		new GuiControlProfile ("GuiHudNewNavProfile")
		{
			fontType = $NavOptions::Font;
			fontSize = $NavOptions::FontSize;
			fontColor = expandedcolors($NavOptions::FontColour[0]);
			fontColors[6] = expandedcolors($NavOptions::FontColour[6]);
			fontColors[7] = expandedcolors($NavOptions::FontColour[7]);
			fontColors[8] = expandedcolors($NavOptions::FontColour[8]);
			fontColors[9] = expandedcolors($NavOptions::FontColour[9]);
		};
		if (isObject(navhud)) navhud.profile = "GuiHudNewNavProfile";
		NavOptionsSetup();
		schedule(1500, 0, NavOptionsSetup);
	}

	function NavOptionsSetup() {

//		navhud.acquireBoxCheckDistance = "50"; - dunno
//		navhud.imageOffset = "2"; - dunno
//		navhud.markerLen = "20"; - dunno
//		navhud.defaultMarkerColor = "0 255 220 220"; - dunno
//		navhud.fillColor = "0.250000 0.250000 0.250000 0.250000"; - dunno
//		navhud.frameColor = "0.000000 1.000000 0.000000 1.000000"; - dunno
//		navhud.LOSMarkerUpdate = "250"; - dunno
//		navhud.markerAngle = "30"; - dunno
//		navhud.playerEyeZOffset = "0.4"; - dunno
//		navhud.minProjectSize = "10"; - dunno
//		navhud.protectedStatics = "1"; - UE
		playgui.beaconLineWidth = $NavOptions::beaconLineWidth;
		playgui.beaconTargetPeriod = $NavOptions::beaconTargetPeriod;
		playgui.enemyBeaconLineBeginColor = expandedcolors($NavOptions::enemyBeaconLineBeginColor) SPC $NavOptions::enemyBeaconLineBeginOpaque;
		playgui.enemyBeaconLineEndColor = expandedcolors($NavOptions::enemyBeaconLineEndColor) SPC $NavOptions::enemyBeaconLineEndOpaque;
		playgui.friendBeaconLineBeginColor = expandedcolors($NavOptions::friendBeaconLineBeginColor) SPC $NavOptions::friendBeaconLineBeginOpaque;
		playgui.friendBeaconLineEndColor = expandedcolors($NavOptions::friendBeaconLineEndColor) SPC $NavOptions::friendBeaconLineEndOpaque;
		playgui.frinedBeaconLineEndColor = expandedcolors($NavOptions::friendBeaconLineEndColor) SPC $NavOptions::friendBeaconLineEndOpaque;
		playgui.vehicleBeaconLineBeginColor = expandedcolors($NavOptions::vehicleBeaconLineBeginColor) SPC $NavOptions::vehicleBeaconLineBeginOpaque;
		playgui.vehicleBeaconLineEndColor = expandedcolors($NavOptions::vehicleBeaconLineEndColor) SPC $NavOptions::vehicleBeaconLineEndOpaque;
		playgui.beaconTextYOffset = $NavOptions::beaconTextYOffset;
		playgui.showAlternateTarget = $NavOptions::beaconHighArc;
		PlayGui.beaconsVisible = $NavmarkerImageNames[$NavOptions::BeaconMarker] $= "" ? 0 : 1;
		navHud.setMarkerTypeVisible(Target, $NavmarkerImageNames[$NavOptions::BeaconMarker] $= "" ? 0 : 1);
		navHud.setMarkerTypeVisible(ClientWaypoint, $NavmarkerImageNames[$NavOptions::WPMarker] $= "" ? 0 : 1);
		navHud.setMarkerTypeVisible(MissionWaypoint, $NavmarkerImageNames[$NavOptions::BaseMarker] $= "" ? 0 : 1);
		navHud.setMarkerTypeVisible(PotentialTask, $NavmarkerImageNames[$NavOptions::PTasksMarker] $= "" ? 0 : 1);
		navHud.setMarkerTypeVisible(AssignedTask, $NavmarkerImageNames[$NavOptions::ATasksMarker] $= "" ? 0 : 1);
		navhud.enemyBeaconColor = expandedcolors($NavOptions::enemyBeaconLineBeginColor) SPC 255;
		navhud.friendBeaconColor = expandedcolors($NavOptions::friendBeaconLineBeginColor) SPC 255;
		navhud.vehicleBeaconColor = expandedcolors($NavOptions::vehicleBeaconLineBeginColor) SPC 255;
		navhud.renderEdgeMarkers = $NavOptions::renderEdgeMarkerImage;
		navhud.renderMarkerText = $NavOptions::renderEdgeMarkerText;
		navhud.markerTextEdgeOffset = $NavOptions::renderEdgeMarkerTextOffset;
		navhud.renderXYProjection = $NavOptions::renderAlternateMarkerMethod;
		navhud.markerScaleDistance = $NavOptions::MarkerDistance;
		navhud.minMarkerScale = $NavOptions::MarkerScale;
		navhud.markerHitRadius = $NavOptions::MarkerRadius;
		navhud.opacity = $NavOptions::NavHudOpacity;
		reticlehud.opacity = $NavOptions::ReticleOpacity;
		navhud.damageFrameColor = expandedcolors($NavOptions::DamageHudFrameColour) SPC mFormatFloat(255*$NavOptions::DamageHudFrameOpaque, "%.f");
		navhud.damageRectSize = $NavOptions::DamageHudXExtent SPC $NavOptions::DamageHudYExtent;
		navhud.infoOffset = $NavOptions::InfoHudXPosition SPC $NavOptions::InfoHudYPosition;
		navhud.acquireScreenRadius = $NavOptions::DamageHudRadius;
		navhud.markerImageNames[0] = $NavmarkerImageNames[$NavOptions::BaseMarker];
		navhud.markerImageNames[1] = $NavmarkerImageNames[$NavOptions::PTasksMarker];
		navhud.markerImageNames[2] = $NavmarkerImageNames[$NavOptions::ATasksMarker];
		navhud.markerImageNames[3] = $NavmarkerImageNames[$NavOptions::WPMarker];
		navhud.markerImageNames[4] = $NavmarkerImageNames[$NavOptions::BeaconMarker];
	}
	
	function NavOptionsLoadOptions() {

		if(!isFile("prefs/NavOptions.cs"))
			NavOptionsDefaults();
		else
			exec("prefs/NavOptions.cs");
	}

	function NavOptionsDefaults() {

		$NavOptions::FontColour[0] = "FFFFFFF";
		$NavOptions::FontColour[6] = "C8C8C8";
		$NavOptions::FontColour[7] = "DCDC14";
		$NavOptions::FontColour[8] = "9696FA";
		$NavOptions::FontColour[9] = "3CDC96";
		$NavOptions::Font = "Univers";
		$NavOptions::FontSize = 16;
		$NavOptions::beaconLineWidth = "2.5";
		$NavOptions::beaconTargetPeriod = "4000";
		$NavOptions::beaconTextYOffset = "14";
		$NavOptions::beaconHighArc = "0";
		$NavOptions::enemyBeaconLineBeginColor = "00FF00";
		$NavOptions::enemyBeaconLineEndColor = "00FF00";
		$NavOptions::enemyBeaconLineBeginOpaque = "0.2";
		$NavOptions::enemyBeaconLineEndOpaque = "0.8";
		$NavOptions::friendBeaconLineBeginColor = "FFFF00";
		$NavOptions::friendBeaconLineEndColor = "FFFF00";
		$NavOptions::friendBeaconLineBeginOpaque = "0.2";
		$NavOptions::friendBeaconLineEndOpaque = "0.8";
		$NavOptions::vehicleBeaconLineBeginColor = "FF0000";
		$NavOptions::vehicleBeaconLineEndColor = "FF0000";
		$NavOptions::vehicleBeaconLineBeginOpaque = "0.2";
		$NavOptions::vehicleBeaconLineEndOpaque = "0.8";
		$NavOptions::BaseMarker = 0;
		$NavOptions::PTasksMarker = 1;
		$NavOptions::ATasksMarker = 2;
		$NavOptions::WPMarker = 3;
		$NavOptions::BeaconMarker = 4;
		$NavOptions::NavHudOpacity = 0.5;
		$NavOptions::ReticleOpacity = 1;
		$NavOptions::MarkerDistance = 1000;
		$NavOptions::MarkerScale = 0.5;
		$NavOptions::MarkerRadius = 2;
		$NavOptions::renderEdgeMarkerImage = 1;
		$NavOptions::renderEdgeMarkerText = 1;
		$NavOptions::renderEdgeMarkerTextOffset = 2;
		$NavOptions::renderAlternateMarkerMethod = 0;
		$NavOptions::DamageHudFrameColour = "FFFFFF";
		$NavOptions::DamageHudFrameOpaque = "1";
		$NavOptions::DamageHudRadius = "75";
		$NavOptions::DamageHudXExtent = "50";
		$NavOptions::DamageHudYExtent = "12";
		$NavOptions::InfoHudXPosition = "24";
		$NavOptions::InfoHudYPosition = "24";
		TargetBeaconBeginOpacitySlider.setValue($NavOptions::enemyBeaconLineBeginOpaque);
		TargetBeaconEndOpacitySlider.setValue($NavOptions::enemyBeaconLineEndOpaque);
		VTargetBeaconBeginOpacitySlider.setValue($NavOptions::vehicleBeaconLineBeginOpaque);
		VTargetBeaconEndOpacitySlider.setValue($NavOptions::vehicleBeaconLineEndOpaque);
		MarkerBeaconBeginOpacitySlider.setValue($NavOptions::friendBeaconLineBeginOpaque);
		MarkerBeaconEndOpacitySlider.setValue($NavOptions::friendBeaconLineEndOpaque);
		BeaconLineSlider.setValue($NavOptions::beaconLineWidth);
		NavHudOpacitySlider.setValue($NavOptions::NavHudOpacity);
		ReticleOpacitySlider.setValue($NavOptions::ReticleOpacity);
		DamageHudFrameOpacitySlider.setValue($NavOptions::DamageHudFrameOpaque);
		BaseMarker.setSelected($NavOptions::BaseMarker);
		PTasksMarker.setSelected($NavOptions::PTasksMarker);
		ATasksMarker.setSelected($NavOptions::ATasksMarker);
		WPMarker.setSelected($NavOptions::WPMarker);
		BeaconMarker.setSelected($NavOptions::BeaconMarker);
		MarkerDistance.setValue($NavOptions::MarkerDistance);
		MarkerRadius.setValue($NavOptions::MarkerRadius);
		InfoHudX.setValue($NavOptions::InfoHudXPosition);
		InfoHudY.setValue($NavOptions::InfoHudYPosition);
		DamageHudX.setValue($NavOptions::DamageHudXExtent);
		DamageHudY.setValue($NavOptions::DamageHudYExtent);
		DamageHudRadius.setValue($NavOptions::DamageHudRadius);
		RenderMarkerImages.setValue($NavOptions::renderEdgeMarkerImage);
		RenderMarkerTexts.setValue($NavOptions::renderEdgeMarkerText);
		AlternateMarkers.setValue($NavOptions::renderAlternateMarkerMethod);
		NavOptionsCreateProfile();
	}
};
activatePackage(NavOptions);
NavOptionsLoadOptions();
NavOptionsCreateProfile();

new GuiControl(NavOptionsGui) {
	profile = "GuiDefaultProfile";
	horizSizing = "center";
	vertSizing = "center";
	position = "0 10";
	extent = "505 415";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";
	new ShellFieldCtrl() {
		profile = "ShellFieldProfile";
		horizSizing = "center";
		vertSizing = "bottom";
		position = "0 0";
		extent = "505 60";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "center";
			position = "10 10";
			extent = "130 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "canvas.pushDialog(enemyBeacon);";
			helpTag = "0";
			text = "Target Beacon Colour";
			simpleStyle = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "center";
			position = "130 10";
			extent = "130 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "canvas.pushDialog(friendBeacon);";
			helpTag = "0";
			text = "Marker Beacon Colour";
			simpleStyle = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "center";
			position = "250 10";
			extent = "130 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "canvas.pushDialog(vehicleBeacon);";
			helpTag = "0";
			text = "V-Target Beacon Colour";
			simpleStyle = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "380 13";
			extent = "110 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Beacon Line Width";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new GuiTextCtrl(BeaconLineText) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "425 32";
			extent = "33 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "2.5";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellSliderCtrl(BeaconLineSlider) {
			profile = "ShellSliderProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "380 27";
			extent = "110 24";
			minExtent = "12 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "value";
			command = "NavOptionsCreateProfile();";
			altCommand = "UpdateBeaconLine();";
			helpTag = "0";
			range = "1.0 10.0";
			ticks = "100";
			value = "1";
			usePlusMinus = "0";
		};
	};
	new ShellFieldCtrl() {
		profile = "ShellFieldProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 60";
		extent = "125 270";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 10";
			extent = "76 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Base Marker";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellPopupMenu(BaseMarker) {
			profile = "ShellPopupProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 25";
			extent = "100 36";
			minExtent = "49 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "$NavOptions::BaseMarker = BaseMarker.getSelected(); NavOptionsCreateProfile();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			maxPopupHeight = "200";
			buttonBitmap = "gui/shll_pulldown";
			rolloverBarBitmap = "gui/shll_pulldownbar_rol";
			selectedBarBitmap = "gui/shll_pulldownbar_act";
			noButtonStyle = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 60";
			extent = "102 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Pos.Task Marker";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellPopupMenu(PTasksMarker) {
			profile = "ShellPopupProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 75";
			extent = "100 36";
			minExtent = "49 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "$NavOptions::PTasksMarker = PTasksMarker.getSelected(); NavOptionsCreateProfile();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			maxPopupHeight = "200";
			buttonBitmap = "gui/shll_pulldown";
			rolloverBarBitmap = "gui/shll_pulldownbar_rol";
			selectedBarBitmap = "gui/shll_pulldownbar_act";
			noButtonStyle = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 110";
			extent = "104 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Acc.Task Marker";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellPopupMenu(ATasksMarker) {
			profile = "ShellPopupProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 125";
			extent = "100 36";
			minExtent = "49 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "$NavOptions::ATasksMarker = ATasksMarker.getSelected(); NavOptionsCreateProfile();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			maxPopupHeight = "200";
			buttonBitmap = "gui/shll_pulldown";
			rolloverBarBitmap = "gui/shll_pulldownbar_rol";
			selectedBarBitmap = "gui/shll_pulldownbar_act";
			noButtonStyle = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 160";
			extent = "103 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Waypoint Marker";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellPopupMenu(WPMarker) {
			profile = "ShellPopupProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 175";
			extent = "100 36";
			minExtent = "49 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "$NavOptions::WPMarker = WPMarker.getSelected(); NavOptionsCreateProfile();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			maxPopupHeight = "200";
			buttonBitmap = "gui/shll_pulldown";
			rolloverBarBitmap = "gui/shll_pulldownbar_rol";
			selectedBarBitmap = "gui/shll_pulldownbar_act";
			noButtonStyle = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 210";
			extent = "90 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Beacon Marker";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellPopupMenu(BeaconMarker) {
			profile = "ShellPopupProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 225";
			extent = "100 36";
			minExtent = "49 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "$NavOptions::BeaconMarker = BeaconMarker.getSelected(); NavOptionsCreateProfile();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			maxPopupHeight = "200";
			buttonBitmap = "gui/shll_pulldown";
			rolloverBarBitmap = "gui/shll_pulldownbar_rol";
			selectedBarBitmap = "gui/shll_pulldownbar_act";
			noButtonStyle = "0";
		};
	};
	new ShellFieldCtrl() {
		profile = "ShellFieldProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "125 60";
		extent = "125 110";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 10";
			extent = "95 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "NavHud Opacity";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new GuiTextCtrl(NavHudOpacityText) {
			profile = "GuiDefaultProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 35";
			extent = "16 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "0.5";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellSliderCtrl(NavHudOpacitySlider) {
			profile = "ShellSliderProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 30";
			extent = "110 24";
			minExtent = "12 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "value";
			command = "NavOptionsCreateProfile();";
			altCommand = "UpdateNavHudOpacity();";
			helpTag = "0";
			range = "0.0 1.0";
			ticks = "100";
			value = "1";
			usePlusMinus = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 55";
			extent = "95 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Reticle Opacity";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new GuiTextCtrl(ReticleOpacityText) {
			profile = "GuiDefaultProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 80";
			extent = "16 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "1";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellSliderCtrl(ReticleOpacitySlider) {
			profile = "ShellSliderProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 75";
			extent = "110 24";
			minExtent = "12 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "value";
			command = "NavOptionsCreateProfile();";
			altCommand = "UpdateReticleOpacity();";
			helpTag = "0";
			range = "0.0 1.0";
			ticks = "100";
			value = "1";
			usePlusMinus = "0";
		};
	};
	new ShellFieldCtrl() {
		profile = "ShellFieldProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "125 170";
		extent = "125 160";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 10";
			extent = "98 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Marker Distance";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellTextEditCtrl(MarkerDistance) {
			profile = "NewTextEditProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 25";
			extent = "100 24";
			minExtent = "32 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$NavOptions::MarkerDistance";
			command = "NavOptionsCreateProfile();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			historySize = "0";
			password = "0";
			IRCName = "0";
			tabComplete = "0";
			glowOffset = "9 9";
		};
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 55";
			extent = "78 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Marker Scale";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new GuiTextCtrl(MarkerScaleText) {
			profile = "GuiDefaultProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 80";
			extent = "16 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "0.5";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellSliderCtrl(MarkerScaleSlider) {
			profile = "ShellSliderProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 75";
			extent = "110 24";
			minExtent = "12 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "value";
			command = "NavOptionsCreateProfile();";
			altCommand = "UpdateMarkerScale();";
			helpTag = "0";
			range = "0.0 1.0";
			ticks = "100";
			value = "0.5";
			usePlusMinus = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 100";
			extent = "86 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Marker Radius";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellTextEditCtrl(MarkerRadius) {
			profile = "NewTextEditProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 115";
			extent = "100 24";
			minExtent = "32 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$NavOptions::MarkerRadius";
			command = "NavOptionsCreateProfile();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			historySize = "0";
			password = "0";
			IRCName = "0";
			tabComplete = "0";
			glowOffset = "9 9";
		};
	};
	new ShellFieldCtrl() {
		profile = "ShellFieldProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "250 60";
		extent = "255 110";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		new ShellToggleButton(RenderMarkerImages) {
			profile = "ShellRadioProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 10";
			extent = "240 30";
			minExtent = "26 27";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$NavOptions::renderEdgeMarkerImage";
			command = "NavOptionsCreateProfile();";
			helpTag = "0";
			text = "Render Marker Images on Screen Edge";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellToggleButton(RenderMarkerTexts) {
			profile = "ShellRadioProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 40";
			extent = "240 30";
			minExtent = "26 27";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$NavOptions::renderEdgeMarkerText";
			command = "NavOptionsCreateProfile();";
			helpTag = "0";
			text = "Render Marker Texts";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellToggleButton(AlternateMarkers) {
			profile = "ShellRadioProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 70";
			extent = "240 30";
			minExtent = "26 27";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$NavOptions::renderAlternateMarkerMethod";
			command = "NavOptionsCreateProfile();";
			helpTag = "0";
			text = "Alternate Rendering of Markers on Screen Edge";
			longTextBuffer = "0";
			maxLength = "255";
		};
	};
	new ShellFieldCtrl() {
		profile = "ShellFieldProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "250 170";
		extent = "255 160";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 10";
			extent = "96 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "InfoHud Position";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellTextEditCtrl(InfoHudX) {
			profile = "NewTextEditProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "25 25";
			extent = "100 24";
			minExtent = "32 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$NavOptions::InfoHudXPosition";
			command = "NavOptionsCreateProfile();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			historySize = "0";
			password = "0";
			IRCName = "0";
			tabComplete = "0";
			glowOffset = "9 9";
		};
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "100 35";
			extent = "10 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "X";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellTextEditCtrl(InfoHudY) {
			profile = "NewTextEditProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "127 25";
			extent = "100 24";
			minExtent = "32 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$NavOptions::InfoHudYPosition";
			command = "NavOptionsCreateProfile();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			historySize = "0";
			password = "0";
			IRCName = "0";
			tabComplete = "0";
			glowOffset = "9 9";
		};
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 55";
			extent = "115 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "DamageHud Extent";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellTextEditCtrl(DamageHudX) {
			profile = "NewTextEditProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "25 70";
			extent = "100 24";
			minExtent = "32 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$NavOptions::DamageHudXExtent";
			command = "NavOptionsCreateProfile();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			historySize = "0";
			password = "0";
			IRCName = "0";
			tabComplete = "0";
			glowOffset = "9 9";
		};
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "100 80";
			extent = "10 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "X";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellTextEditCtrl(DamageHudY) {
			profile = "NewTextEditProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "127 70";
			extent = "100 24";
			minExtent = "32 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$NavOptions::DamageHudYExtent";
			command = "NavOptionsCreateProfile();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			historySize = "0";
			password = "0";
			IRCName = "0";
			tabComplete = "0";
			glowOffset = "9 9";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "0 100";
			extent = "135 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "setRGBcolor(\"$NavOptions::DamageHudFrameColour\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "DamageHudFrame Colour";
			simpleStyle = "0";
		};
		new GuiTextCtrl(DamageHudFrameOpacityText) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "55 135";
			extent = "33 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "100%";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellSliderCtrl(DamageHudFrameOpacitySlider) {
			profile = "ShellSliderProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 130";
			extent = "115 24";
			minExtent = "12 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "value";
			command = "NavOptionsCreateProfile();";
			altCommand = "UpdateDamageHudFrameOpacity();";
			helpTag = "0";
			range = "0.000000 1.000000";
			ticks = "10000";
			value = "1";
			usePlusMinus = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiHelpTextProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "135 109";
			extent = "115 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "DamageHud Radius";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellTextEditCtrl(DamageHudRadius) {
			profile = "NewTextEditProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "135 123";
			extent = "115 24";
			minExtent = "32 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$NavOptions::DamageHudRadius";
			command = "NavOptionsCreateProfile();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			historySize = "0";
			password = "0";
			IRCName = "0";
			tabComplete = "0";
			glowOffset = "9 9";
		};
	};
	new ShellFieldCtrl() {
		profile = "ShellFieldProfile";
		horizSizing = "center";
		vertSizing = "bottom";
		position = "0 330";
		extent = "505 55";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 10";
			extent = "85 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "PJSelectFont(\"$NavOptions::Font\", \"$NavOptions::FontSize\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "NavHud Font";
			simpleStyle = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "90 10";
			extent = "85 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "setRGBcolor(\"$NavOptions::FontColour[0]\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "NavHud Colour";
			simpleStyle = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "170 10";
			extent = "85 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "setRGBcolor(\"$NavOptions::FontColour[6]\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "Player Colour";
			simpleStyle = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "250 10";
			extent = "85 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "setRGBcolor(\"$NavOptions::FontColour[7]\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "Tag Colour";
			simpleStyle = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "330 10";
			extent = "85 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "setRGBcolor(\"$NavOptions::FontColour[8]\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "Smurf Colour";
			simpleStyle = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "410 10";
			extent = "85 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "setRGBcolor(\"$NavOptions::FontColour[9]\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "Bot Colour";
			simpleStyle = "0";
		};
	};
	new ShellBitmapButton() {
		profile = "ShellButtonProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "400 380";
		extent = "60 38";
		minExtent = "60 38";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		command = "NavOptionsDefaults();";
		helpTag = "0";
		text = "Default";
		simpleStyle = "0";
	};
	new ShellBitmapButton() {
		profile = "ShellButtonProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "450 380";
		extent = "60 38";
		minExtent = "60 38";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		command = "NavOptionsSave();";
		helpTag = "0";
		text = "Save";
		simpleStyle = "0";
	};
};
new GuiControl(enemyBeacon) {
	profile = "GuiDefaultProfile";
	horizSizing = "center";
	vertSizing = "center";
	position = "0 0";
	extent = "270 125";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";
	new ShellPaneCtrl() {
		profile = "ShellDlgPaneProfile";
		horizSizing = "center";
		vertSizing = "center";
		position = "0 0";
		extent = "270 125";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		text = "Target Beacon";
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 25";
			extent = "130 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "setRGBcolor(\"$NavOptions::enemyBeaconLineBeginColor\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "Target Start Colour";
			simpleStyle = "0";
		};
		new GuiTextCtrl(TargetBeaconBeginOpacityText) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "65 60";
			extent = "33 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "100%";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellSliderCtrl(TargetBeaconBeginOpacitySlider) {
			profile = "ShellSliderProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "20 55";
			extent = "110 24";
			minExtent = "12 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "value";
			command = "NavOptionsCreateProfile();";
			altCommand = "UpdateTargetBeaconBeginOpacity();";
			helpTag = "0";
			range = "0.000000 1.000000";
			ticks = "10000";
			value = "1";
			usePlusMinus = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "130 25";
			extent = "130 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "setRGBcolor(\"$NavOptions::enemyBeaconLineEndColor\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "Target End Colour";
			simpleStyle = "0";
		};
		new GuiTextCtrl(TargetBeaconEndOpacityText) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "185 60";
			extent = "33 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "100%";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellSliderCtrl(TargetBeaconEndOpacitySlider) {
			profile = "ShellSliderProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "140 55";
			extent = "110 24";
			minExtent = "12 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "value";
			command = "NavOptionsCreateProfile();";
			altCommand = "UpdateTargetBeaconEndOpacity();";
			helpTag = "0";
			range = "0.000000 1.000000";
			ticks = "10000";
			value = "1";
			usePlusMinus = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 75";
			extent = "60 38";
			minExtent = "60 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "canvas.popDialog(enemyBeacon);";
			helpTag = "0";
			text = "Close";
			simpleStyle = "0";
		};
	};
};
new GuiControl(friendBeacon) {
	profile = "GuiDefaultProfile";
	horizSizing = "center";
	vertSizing = "center";
	position = "0 0";
	extent = "270 125";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";
	new ShellPaneCtrl() {
		profile = "ShellDlgPaneProfile";
		horizSizing = "center";
		vertSizing = "center";
		position = "0 0";
		extent = "270 125";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		text = "Marker Beacon";
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 25";
			extent = "130 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "setRGBcolor(\"$NavOptions::friendBeaconLineBeginColor\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "Marker Start Colour";
			simpleStyle = "0";
		};
		new GuiTextCtrl(MarkerBeaconBeginOpacityText) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "65 60";
			extent = "33 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "100%";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellSliderCtrl(MarkerBeaconBeginOpacitySlider) {
			profile = "ShellSliderProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "20 55";
			extent = "110 24";
			minExtent = "12 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "value";
			command = "NavOptionsCreateProfile();";
			altCommand = "UpdateMarkerBeaconBeginOpacity();";
			helpTag = "0";
			range = "0.000000 1.000000";
			ticks = "10000";
			value = "1";
			usePlusMinus = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "130 25";
			extent = "130 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "setRGBcolor(\"$NavOptions::friendBeaconLineEndColor\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "Marker End Colour";
			simpleStyle = "0";
		};
		new GuiTextCtrl(MarkerBeaconEndOpacityText) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "185 60";
			extent = "33 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "100%";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellSliderCtrl(MarkerBeaconEndOpacitySlider) {
			profile = "ShellSliderProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "140 55";
			extent = "110 24";
			minExtent = "12 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "value";
			command = "NavOptionsCreateProfile();";
			altCommand = "UpdateMarkerBeaconEndOpacity();";
			helpTag = "0";
			range = "0.000000 1.000000";
			ticks = "10000";
			value = "1";
			usePlusMinus = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 75";
			extent = "60 38";
			minExtent = "60 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "canvas.popDialog(friendBeacon);";
			helpTag = "0";
			text = "Close";
			simpleStyle = "0";
		};
	};
};
new GuiControl(vehicleBeacon) {
	profile = "GuiDefaultProfile";
	horizSizing = "center";
	vertSizing = "center";
	position = "0 0";
	extent = "270 125";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";
	new ShellPaneCtrl() {
		profile = "ShellDlgPaneProfile";
		horizSizing = "center";
		vertSizing = "center";
		position = "0 0";
		extent = "270 125";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		text = "V-Target Beacon";
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 25";
			extent = "130 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "setRGBcolor(\"$NavOptions::vehicleBeaconLineBeginColor\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "V-Target Start Colour";
			simpleStyle = "0";
		};
		new GuiTextCtrl(VTargetBeaconBeginOpacityText) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "65 60";
			extent = "33 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "100%";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellSliderCtrl(VTargetBeaconBeginOpacitySlider) {
			profile = "ShellSliderProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "20 55";
			extent = "110 24";
			minExtent = "12 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "value";
			command = "NavOptionsCreateProfile();";
			altCommand = "UpdateVTargetBeaconBeginOpacity();";
			helpTag = "0";
			range = "0.000000 1.000000";
			ticks = "10000";
			value = "1";
			usePlusMinus = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "130 25";
			extent = "130 38";
			minExtent = "32 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "setRGBcolor(\"$NavOptions::vehicleBeaconLineEndColor\", \"NavOptionsCreateProfile();\");";
			helpTag = "0";
			text = "V-Target End Colour";
			simpleStyle = "0";
		};
		new GuiTextCtrl(VTargetBeaconEndOpacityText) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "185 60";
			extent = "33 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "100%";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellSliderCtrl(VTargetBeaconEndOpacitySlider) {
			profile = "ShellSliderProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "140 55";
			extent = "110 24";
			minExtent = "12 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "value";
			command = "NavOptionsCreateProfile();";
			altCommand = "UpdateVTargetBeaconEndOpacity();";
			helpTag = "0";
			range = "0.000000 1.000000";
			ticks = "10000";
			value = "1";
			usePlusMinus = "0";
		};
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "0 75";
			extent = "60 38";
			minExtent = "60 38";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			command = "canvas.popDialog(vehicleBeacon);";
			helpTag = "0";
			text = "Close";
			simpleStyle = "0";
		};
	};
};
BaseMarker.add("Triangle", 0);
BaseMarker.add("Square", 1);
BaseMarker.add("Diamond", 2);
BaseMarker.add("Cross", 3);
BaseMarker.add("Circle", 4);
BaseMarker.add("Dot", 5);
BaseMarker.add("Flake", 6);
BaseMarker.add("None", 7);
PTasksMarker.add("Triangle", 0);
PTasksMarker.add("Square", 1);
PTasksMarker.add("Diamond", 2);
PTasksMarker.add("Cross", 3);
PTasksMarker.add("Circle", 4);
PTasksMarker.add("Dot", 5);
PTasksMarker.add("Flake", 6);
PTasksMarker.add("None", 7);
ATasksMarker.add("Triangle", 0);
ATasksMarker.add("Square", 1);
ATasksMarker.add("Diamond", 2);
ATasksMarker.add("Cross", 3);
ATasksMarker.add("Circle", 4);
ATasksMarker.add("Dot", 5);
ATasksMarker.add("Flake", 6);
ATasksMarker.add("None", 7);
WPMarker.add("Triangle", 0);
WPMarker.add("Square", 1);
WPMarker.add("Diamond", 2);
WPMarker.add("Cross", 3);
WPMarker.add("Circle", 4);
WPMarker.add("Dot", 5);
WPMarker.add("Flake", 6);
WPMarker.add("None", 7);
BeaconMarker.add("Triangle", 0);
BeaconMarker.add("Square", 1);
BeaconMarker.add("Diamond", 2);
BeaconMarker.add("Cross", 3);
BeaconMarker.add("Circle", 4);
BeaconMarker.add("Dot", 5);
BeaconMarker.add("Flake", 6);
BeaconMarker.add("None", 7);
$NavmarkerImageNames[0] = "small_triangle";
$NavmarkerImageNames[1] = "small_square";
$NavmarkerImageNames[2] = "small_diamond";
$NavmarkerImageNames[3] = "small_cross";
$NavmarkerImageNames[4] = "small_circle";
$NavmarkerImageNames[5] = "gui/hud_dot";
$NavmarkerImageNames[6] = "snowflake8x8";
$NavmarkerImageNames[7] = "";
